Project

Profile

Help

Issue #1780

PLP0000: Update failed (The dotted field 'thomasmckay-rsync-0.4.1-thomasmckay'

Added by tomckay@redhat.com over 4 years ago. Updated over 1 year ago.

Status:
CLOSED - CURRENTRELEASE
Priority:
High
Assignee:
Start date:
Due date:
Estimated time:
Severity:
2. Medium
Version:
2.8.0
Platform Release:
2.8.3
OS:
Triaged:
Yes
Groomed:
No
Sprint Candidate:
No
Tags:
Pulp 2
Sprint:
Quarter:

Description

  142  git clone https://github.com/puppetlabs/puppetlabs-rsync.git
  143  cd puppetlabs-rsync/
  144  sed -i.bak s/"puppetlabs"/"thomasmckay"/g metadata.json
  145  emacs metadata.json
  146  sudo pulp-puppet-module-builder --output-dir /var/www/html/pub/puppet-modules .
$ cat metadata.json
{
  "name": "thomasmckay-rsync",
  "version": "0.4.1",
  "author": "thomasmckay",
  "summary": "Manages rsync clients, repositories, and servers, & providies defines to easily grab data via rsync.",
  "license": "Apache-2.0",
  "source": "https://github.com/thomasmckay/thomasmckay-rsync",
  "project_page": "https://github.com/thomasmckay/thomasmckay-rsync",
  "issues_url": "https://tickets.thomasmckay.com/browse/MODULES",
  "dependencies": [
    {"name":"puppetlabs/stdlib","version_requirement":">=4.2.0"},
    {"name":"puppetlabs/xinetd","version_requirement":">=1.1.0"},
    {"name":"puppetlabs/concat","version_requirement":">= 1.1.1"}
  ]
}

Attempted to sync into repository in katello.


    "traceback"=>
     "Traceback (most recent call last):\n  File \"/usr/lib/python2.7/site-packages/celery/app/trace.py\", line 240, in trace_task\n    R = retval = fun(*args, **kwargs)\n  File \"/usr/lib/python2.7/site-packages/pulp/server/async/tasks.py\", line 473, in __call__\n    return super(Task, self).__call__(*args, **kwargs)\n  File \"/usr/lib/python2.7/site-packages/pulp/server/async/tasks.py\", line 103, in __call__\n    return super(PulpTask, self).__call__(*args, **kwargs)\n  File \"/usr/lib/python2.7/site-packages/celery/app/trace.py\", line 437, in __protected_call__\n    return self.run(*args, **kwargs)\n  File \"/usr/lib/python2.7/site-packages/pulp/server/controllers/repository.py\", line 968, in publish\n    result = _do_publish(repo_obj, dist_id, dist_inst, transfer_repo, conduit, call_config)\n  File \"/usr/lib/python2.7/site-packages/pulp/server/controllers/repository.py\", line 1020, in _do_publish\n    publish_report = publish_repo(transfer_repo, conduit, call_config)\n  File \"/usr/lib/python2.7/site-packages/pulp/server/async/tasks.py\", line 658, in wrap_f\n    return f(*args, **kwargs)\n  File \"/usr/lib/python2.7/site-packages/pulp_puppet/plugins/distributors/distributor.py\", line 46, in publish_repo\n    report = publish_runner.perform_publish()\n  File \"/usr/lib/python2.7/site-packages/pulp_puppet/plugins/distributors/publish.py\", line 76, in perform_publish\n    self.progress_report.update_progress()\n  File \"/usr/lib/python2.7/site-packages/pulp_puppet/common/publish_progress.py\", line 97, in update_progress\n    self.conduit.set_progress(report)\n  File \"/usr/lib/python2.7/site-packages/pulp/plugins/conduits/mixins.py\", line 618, in set_progress\n    set__progress_report=self.progress_report)\n  File \"/usr/lib/python2.7/site-packages/mongoengine/queryset/base.py\", line 516, in update_one\n    upsert=upsert, multi=False, write_concern=write_concern, **update)\n  File \"/usr/lib/python2.7/site-packages/pulp/server/db/querysets.py\", line 97, in update\n    super(CriteriaQuerySet, self).update(*args, **kwargs)\n  File \"/usr/lib/python2.7/site-packages/mongoengine/queryset/base.py\", line 472, in update\n    raise OperationError(u'Update failed (%s)' % unicode(err))\nDistributorConduitException: Update failed (The dotted field 'thomasmckay-rsync-0.4.1-thomasmckay' in 'progress_report.megacorp-Puppet_Modules-Puppet_RSYNC_puppet.modules.individual_errors.thomasmckay-rsync-0.4.1-thomasmckay' is not valid for storage.)\n",

pulp-server-2.8.0-0.5.beta.el7.noarch

Associated revisions

Revision cb8c7102 View on GitHub
Added by bmbouter over 4 years ago

Puppet modules saved from PULP_MANIFEST now use the correct paths

closes #1780 https://pulp.plan.io/issues/1780

History

#1 Updated by mhrivnak over 4 years ago

  • Project changed from Pulp to Puppet Support

#2 Updated by mhrivnak over 4 years ago

  • Priority changed from Normal to High
  • Platform Release set to 2.8.1
  • Triaged changed from No to Yes

Let's at least investigate and better-determine the scope for a 2.8.soon

#3 Updated by bmbouter over 4 years ago

  • Status changed from NEW to ASSIGNED
  • Assignee set to bmbouter

#4 Updated by semyers over 4 years ago

  • Platform Release changed from 2.8.1 to 2.8.2

#5 Updated by bmbouter over 4 years ago

I was able to reproduce the issue, but need to investigate the root cause.

#6 Updated by bmbouter over 4 years ago

  • Status changed from ASSIGNED to POST

#7 Updated by semyers over 4 years ago

  • Platform Release changed from 2.8.2 to 2.8.3

#8 Updated by bmbouter over 4 years ago

  • Status changed from POST to MODIFIED
  • % Done changed from 0 to 100

#9 Updated by semyers over 4 years ago

  • Status changed from MODIFIED to 5

#10 Updated by semyers over 4 years ago

  • Status changed from 5 to CLOSED - CURRENTRELEASE

#11 Updated by bmbouter over 1 year ago

  • Tags Pulp 2 added

Please register to edit this issue

Also available in: Atom PDF